// generated from rosidl_generator_c/resource/idl__description.c.em
// with input from nao_sensor_msgs:msg/JointStatuses.idl
// generated code does not contain a copyright notice

#include "nao_sensor_msgs/msg/detail/joint_statuses__functions.h"

ROSIDL_GENERATOR_C_PUBLIC_nao_sensor_msgs
const rosidl_type_hash_t *
nao_sensor_msgs__msg__JointStatuses__get_type_hash(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static rosidl_type_hash_t hash = {1, {
      0xa5, 0xf6, 0x17, 0xbf, 0x84, 0xfe, 0x2f, 0x50,
      0xe0, 0x88, 0x17, 0x15, 0x7f, 0x8f, 0x0f, 0x3d,
      0x06, 0x93, 0xb7, 0x3c, 0x3b, 0x75, 0x24, 0x8b,
      0xdf, 0xe9, 0x22, 0x22, 0xf1, 0xc7, 0x1a, 0x4a,
    }};
  return &hash;
}

#include <assert.h>
#include <string.h>

// Include directives for referenced types

// Hashes for external referenced types
#ifndef NDEBUG
#endif

static char nao_sensor_msgs__msg__JointStatuses__TYPE_NAME[] = "nao_sensor_msgs/msg/JointStatuses";

// Define type names, field names, and default values
static char nao_sensor_msgs__msg__JointStatuses__FIELD_NAME__statuses[] = "statuses";

static rosidl_runtime_c__type_description__Field nao_sensor_msgs__msg__JointStatuses__FIELDS[] = {
  {
    {nao_sensor_msgs__msg__JointStatuses__FIELD_NAME__statuses, 8, 8},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_INT32_ARRAY,
      25,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
};

const rosidl_runtime_c__type_description__TypeDescription *
nao_sensor_msgs__msg__JointStatuses__get_type_description(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static bool constructed = false;
  static const rosidl_runtime_c__type_description__TypeDescription description = {
    {
      {nao_sensor_msgs__msg__JointStatuses__TYPE_NAME, 33, 33},
      {nao_sensor_msgs__msg__JointStatuses__FIELDS, 1, 1},
    },
    {NULL, 0, 0},
  };
  if (!constructed) {
    constructed = true;
  }
  return &description;
}

static char toplevel_type_raw_source[] =
  "# Temperature status enums, computed accordingly to the temperature limitation to protect the motors.\n"
  "int32 STATUS_NORMAL=0          # normal\n"
  "int32 STATUS_HOT=1             # high, start to reduce stiffness\n"
  "int32 STATUS_VERY_HOT=2        # very hot, stiffness reduced over 30%\n"
  "int32 STATUS_CRITICALLY_HOT=3  # critically hot, stiffness is set to 0\n"
  "\n"
  "int32[25] statuses  # Status codes, in order of JointIndexes.msg";

static char msg_encoding[] = "msg";

// Define all individual source functions

const rosidl_runtime_c__type_description__TypeSource *
nao_sensor_msgs__msg__JointStatuses__get_individual_type_description_source(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static const rosidl_runtime_c__type_description__TypeSource source = {
    {nao_sensor_msgs__msg__JointStatuses__TYPE_NAME, 33, 33},
    {msg_encoding, 3, 3},
    {toplevel_type_raw_source, 413, 413},
  };
  return &source;
}

const rosidl_runtime_c__type_description__TypeSource__Sequence *
nao_sensor_msgs__msg__JointStatuses__get_type_description_sources(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static rosidl_runtime_c__type_description__TypeSource sources[1];
  static const rosidl_runtime_c__type_description__TypeSource__Sequence source_sequence = {sources, 1, 1};
  static bool constructed = false;
  if (!constructed) {
    sources[0] = *nao_sensor_msgs__msg__JointStatuses__get_individual_type_description_source(NULL),
    constructed = true;
  }
  return &source_sequence;
}
