// generated from rosidl_generator_c/resource/idl__description.c.em
// with input from nao_sensor_msgs:msg/Gyroscope.idl
// generated code does not contain a copyright notice

#include "nao_sensor_msgs/msg/detail/gyroscope__functions.h"

ROSIDL_GENERATOR_C_PUBLIC_nao_sensor_msgs
const rosidl_type_hash_t *
nao_sensor_msgs__msg__Gyroscope__get_type_hash(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static rosidl_type_hash_t hash = {1, {
      0x99, 0x75, 0x46, 0x40, 0x17, 0x95, 0x8c, 0xad,
      0x64, 0xdc, 0xba, 0xe7, 0x0e, 0x6c, 0x2b, 0x39,
      0xf4, 0xd9, 0xe3, 0x63, 0xac, 0x5e, 0xb9, 0x9f,
      0x10, 0x5e, 0x6e, 0x32, 0x89, 0x5d, 0xdf, 0x53,
    }};
  return &hash;
}

#include <assert.h>
#include <string.h>

// Include directives for referenced types

// Hashes for external referenced types
#ifndef NDEBUG
#endif

static char nao_sensor_msgs__msg__Gyroscope__TYPE_NAME[] = "nao_sensor_msgs/msg/Gyroscope";

// Define type names, field names, and default values
static char nao_sensor_msgs__msg__Gyroscope__FIELD_NAME__x[] = "x";
static char nao_sensor_msgs__msg__Gyroscope__FIELD_NAME__y[] = "y";
static char nao_sensor_msgs__msg__Gyroscope__FIELD_NAME__z[] = "z";

static rosidl_runtime_c__type_description__Field nao_sensor_msgs__msg__Gyroscope__FIELDS[] = {
  {
    {nao_sensor_msgs__msg__Gyroscope__FIELD_NAME__x, 1, 1},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_FLOAT,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
  {
    {nao_sensor_msgs__msg__Gyroscope__FIELD_NAME__y, 1, 1},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_FLOAT,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
  {
    {nao_sensor_msgs__msg__Gyroscope__FIELD_NAME__z, 1, 1},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_FLOAT,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
};

const rosidl_runtime_c__type_description__TypeDescription *
nao_sensor_msgs__msg__Gyroscope__get_type_description(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static bool constructed = false;
  static const rosidl_runtime_c__type_description__TypeDescription description = {
    {
      {nao_sensor_msgs__msg__Gyroscope__TYPE_NAME, 29, 29},
      {nao_sensor_msgs__msg__Gyroscope__FIELDS, 3, 3},
    },
    {NULL, 0, 0},
  };
  if (!constructed) {
    constructed = true;
  }
  return &description;
}

static char toplevel_type_raw_source[] =
  "# Holds Gyroscope information for a NAO V6\n"
  "# Units are in rad/s\n"
  "# Follows conventions here: http://doc.aldebaran.com/2-1/family/robots/inertial_robot.html\n"
  "\n"
  "# x is rotating right / left vertically (from robots perspective)\n"
  "# - Falling right (from robot's perspective) is positive\n"
  "# - Falling left (from robot's perspective) is negative\n"
  "float32 x\n"
  "\n"
  "# y is rotating over toes and heels\n"
  "# - Rotating over toes is positive\n"
  "# - Rotating over heels is negative\n"
  "float32 y\n"
  "\n"
  "# NOTE: This is flipped on the V5, and because of that all of gyroscopez may be inverted in a lot of codebases.\n"
  "# z is rotating left / right horizontally (from robot's perspective)\n"
  "# - Turning to the left is positive\n"
  "# - Turning to the right is negative\n"
  "float32 z";

static char msg_encoding[] = "msg";

// Define all individual source functions

const rosidl_runtime_c__type_description__TypeSource *
nao_sensor_msgs__msg__Gyroscope__get_individual_type_description_source(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static const rosidl_runtime_c__type_description__TypeSource source = {
    {nao_sensor_msgs__msg__Gyroscope__TYPE_NAME, 29, 29},
    {msg_encoding, 3, 3},
    {toplevel_type_raw_source, 727, 727},
  };
  return &source;
}

const rosidl_runtime_c__type_description__TypeSource__Sequence *
nao_sensor_msgs__msg__Gyroscope__get_type_description_sources(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static rosidl_runtime_c__type_description__TypeSource sources[1];
  static const rosidl_runtime_c__type_description__TypeSource__Sequence source_sequence = {sources, 1, 1};
  static bool constructed = false;
  if (!constructed) {
    sources[0] = *nao_sensor_msgs__msg__Gyroscope__get_individual_type_description_source(NULL),
    constructed = true;
  }
  return &source_sequence;
}
